Skip to main content
`Ctrl`+`K`

# PetscBagRegisterInt64

add a `PetscInt64` value to a `PetscBag`

## Synopsis

    #include "petscbag.h"
    PetscErrorCode PetscBagRegisterInt64(PetscBag bag, void *addr, PetscInt64 mdefault, const char *name, const char *help)

Logically Collective

## Input Parameters

- bag - the bag of values

- addr - location of integer in struct, for example `&params->i`

- mdefault - the initial value

- name - name of the integer

- help - longer string with more information about the value

## See Also

`PetscBag`, `PetscBagSetName()`, `PetscBagView()`, `PetscBagLoad()`, `PetscBagGetData()` `PetscBagRegisterInt()`, `PetscBagRegisterBool()`, `PetscBagRegisterScalar()` `PetscBagSetFromOptions()`, `PetscBagCreate()`, `PetscBagGetName()`, `PetscBagRegisterEnum()`

## Level

beginner

## Location

src/sys/classes/bag/bag.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages